Table of Contents

GEN API Changes

Warning

Some API changes are not backward compatible

Breaking Changes

Path Description
POST /Modules/GEN/Sites/ContactPhoneNumbers Changed PhoneNumber property
POST /Modules/GEN/Sites/ContactPhoneNumbers/Batch Changed PhoneNumber property
POST /Modules/GEN/Suppliers Added new required property DiscountPercentage to request
POST /Modules/GEN/Suppliers/Batch Added new required property DiscountPercentage to request

Changelog

A more detailed breakdown for the individual changes can be viewed here

==========================================================================
==                            API CHANGE LOG                            ==
==========================================================================
                      On Key GEN  API Specification                       
--------------------------------------------------------------------------
--                              What's New                              --
--------------------------------------------------------------------------
- GET    /Modules/GEN/RequestTypes/{id}
- DELETE /Modules/GEN/RequestTypes/{id}
- PATCH  /Modules/GEN/RequestTypes/{id}
- GET    /Modules/GEN/RequestTypes
- POST   /Modules/GEN/RequestTypes
- GET    /Modules/GEN/RequestTypes/Lookups/LookupRequestTypeChangePermissionTree
- GET    /Modules/GEN/RequestTypes/Lookups/LookupRequestTypeInsertPermissionTree
- GET    /Modules/GEN/RequestTypes/Batch/{ids}
- POST   /Modules/GEN/RequestTypes/Batch
- DELETE /Modules/GEN/RequestTypes/Batch
- PATCH  /Modules/GEN/RequestTypes/Batch
- PATCH  /Modules/GEN/RequestTypes/{id}/Active
- PATCH  /Modules/GEN/RequestTypes/{id}/PermissionTree
- PATCH  /Modules/GEN/RequestTypes/Batch/Active
- PATCH  /Modules/GEN/RequestTypes/Batch/PermissionTree
- GET    /Modules/GEN/Sites/Lookups/LookupFinancialYearPeriod
- GET    /Modules/GEN/Sites/Lookups/LookupFinancialYear
- PATCH  /Modules/GEN/Sites/MatchBatch
- GET    /Modules/GEN/Suppliers/Lookups/LookupSupplierDefaultTaxRate

--------------------------------------------------------------------------
--                            What's Changed                            --
--------------------------------------------------------------------------
- GET    /Modules/GEN/Sites/{id}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- POST   /Modules/GEN/Sites
  Request:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- GET    /Modules/GEN/Sites/Batch/{ids}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
- POST   /Modules/GEN/Sites/Batch
  Request:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
- POST   /Modules/GEN/Sites/ContactPhoneNumbers
  Request:
        - Changed application/vnd.onkey.entity+json
          Schema: Broken compatibility
- POST   /Modules/GEN/Sites/ContactPhoneNumbers/Batch
  Request:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Broken compatibility
- GET    /Modules/GEN/Suppliers/{id}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- POST   /Modules/GEN/Suppliers
  Request:
        - Changed application/vnd.onkey.entity+json
          Schema: Broken compatibility
- GET    /Modules/GEN/Suppliers/Batch/{ids}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
- POST   /Modules/GEN/Suppliers/Batch
  Request:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Broken compatibility
--------------------------------------------------------------------------
--                                Result                                --
--------------------------------------------------------------------------
                 API changes broke backward compatibility                 
--------------------------------------------------------------------------